Package com.xebialabs.xlrelease.domain.recover

## Enum TaskRecoverOp

- java.lang.Object
- - java.lang.Enum<TaskRecoverOp>
  - - com.xebialabs.xlrelease.domain.recover.TaskRecoverOp

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TaskRecoverOp>`

      public enum TaskRecoverOp
      extends java.lang.Enum<TaskRecoverOp>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RESTART_PHASE` |
    `RUN_SCRIPT` |
    `SKIP_TASK` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskRecoverOp` | `fromLabel​(java.lang.String label)` |
    `java.lang.String` | `getLabel()` |
    `static TaskRecoverOp` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TaskRecoverOp[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SKIP_TASK

          public static final TaskRecoverOp SKIP_TASK

    - #### RESTART_PHASE

          public static final TaskRecoverOp RESTART_PHASE

    - #### RUN_SCRIPT

          public static final TaskRecoverOp RUN_SCRIPT

  - ### Method Detail

    - #### values

          public static TaskRecoverOp[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskRecoverOp c : TaskRecoverOp.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskRecoverOp valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLabel

          public java.lang.String getLabel()

    - #### fromLabel

          public static TaskRecoverOp fromLabel​(java.lang.String label)